Subject: Re: bug#26357: 25.1; Ubuntu 17.04 -> crash

From: Stefan Kangas <[email-masked]>
Date: Mon, 16 Sep 2019 05:48:55 +0200

Glenn Morris <[email-masked]> writes:

> Guillaume MULLER wrote:
>
>> (emacs:10976): GLib-ERROR **: creating thread 'dconf worker': Error creating thread: Resource temporarily unavailable
>> Fatal error 5: Trace/breakpoint trap
>> Backtrace:
>> emacs[0x50b7ec]
>> emacs[0x4f1bac]
>> emacs[0x509f5e]
>> emacs[0x50a189]
>> emacs[0x50a229]
>> /lib/x86_64-linux-gnu/libpthread.so.0(+0x11620)[0x7feac1783620]
>> /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4fde1)[0x7feac7eabde1]
>> /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_log_default_handler+0xc7)[0x7feac7eace37]
>> /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_logv+0x1e4)[0x7feac7ead144]
>> /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_log+0x8f)[0x7feac7ead34f]
>> /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_thread_new+0x8b)[0x7feac7ece37b]
>
>
> Some brief web searching suggests this isn't an Emacs issue. Eg
>
> https://bugzilla.redhat.com/show_bug.cgi?id=995177
> https://bugzilla.gnome.org/show_bug.cgi?id=731554
>
>> I just realized this crash occurs when I start Emacs right after
>> closing R
>
> Does R uses lots of resources?

This was reported 2 years ago.  From searching on the web, it seems to
be related to ulimit, and some people have even reported that things
worked better for them after a Linux kernel upgrade.

The above suggests that it's unlikely that this crash happened due to
a bug in Emacs.

I'm therefore closing this bug.  If anyone believes that this is
incorrect, feel free to reopen it.

Best regards,
Stefan Kangas